Bug 1414417 - Can we re-add classification reporting groups?
Summary: Can we re-add classification reporting groups?
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Bugzilla
Classification: Community
Component: Administration
Version: 5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: 5.0
Assignee: PnT DevOps Devs
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-18 12:57 UTC by Jeff Fearn 🐞
Modified: 2018-12-09 06:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-20 01:55:34 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 719640 1 None None None 2021-01-20 06:05:38 UTC

Description Jeff Fearn 🐞 2017-01-18 12:57:03 UTC
Description of problem:
"Edit Reporting Groups" was dropped during the BZ5 merge, but it turns out it might be useful for gating access to product dashboards and the graphing module.

Scope out:

1: effort to recover code
2: changes required to the upgrade scripts
3: changes required to the product dashboards

Comment 2 Jeff Fearn 🐞 2017-01-18 12:58:58 UTC
4: replace the stupid check boxes with a mutli-select

Comment 3 Matt Tyson 🤬 2017-01-20 01:36:07 UTC
It's hard to gauge,  The patch for this is quite large.  It crosses 6 files.  I'm not sure how applicable all of it is to what we want to do.

It also adds some database tables.  The normal rh-database-update script should handle those though.

Comment 4 Jeff Fearn 🐞 2017-01-20 01:55:34 UTC
OK, I'm going to drop this, as it's costly and doesn't get exactly what we need anyway.


Note You need to log in before you can comment on or make changes to this bug.